/*
 * SCIM Bridge
 *
 * Copyright (c) 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.*
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU Lesser General Public License for more details.*
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#include <stdint.h>

/**
 * @file
 * @author Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
 * @brief This header must be included by all the source codes which use IMContextes.
 */
#ifndef SCIMBRIDGEIMCONTEXT_H_
#define SCIMBRIDGEIMCONTEXT_H_

enum _scim_bridge_preedit_mode_t
{
    PREEDIT_FLOATING,
    PREEDIT_HANGING,
    PREEDIT_EMBEDDED,
    PREEDIT_ANY,
};

/**
 * The type for the way to show the preedit.
 */
typedef enum _scim_bridge_preedit_mode_t scim_bridge_preedit_mode_t;

/**
 * This is the type for imcontext id.
 * Notice, every imcontext has the unique id.
 */
typedef int scim_bridge_imcontext_id_t;
#endif                                            /*SCIMBRIDGEIMCONTEXT_H_*/
